export declare type Curriable<X, Xs extends any[], Y> = (x: X, ...xs: Xs) => Y;
export declare type Curried<X, Xs extends any[], Y> = (...xs: Xs) => (x: X) => Y;
export declare type Uncurriable<X, Xs extends any[], Y> = (...xs: Xs) => (x: X) => Y;
export declare type Uncurried<X, Xs extends any[], Y> = (x: X, ...xs: Xs) => Y;
/**
 * Postpone the first argument of a function
 * @param fn Function to curry
 * @returns Curried function
 */
export declare const curry: <X, Xs extends any[], Y>(fn: Curriable<X, Xs, Y>) => Curried<X, Xs, Y>;
/**
 * Uncurry a function that is result of `curry`
 * @param fn Function to uncurry
 * @returns Uncurried function
 */
export declare const uncurry: <X, Xs extends any[], Y>(fn: Uncurriable<X, Xs, Y>) => Uncurried<X, Xs, Y>;
