"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Postpone the first argument of a function
 * @param fn Function to curry
 * @returns Curried function
 */
exports.curry = (fn) => (...xs) => x => fn(x, ...xs);
/**
 * Uncurry a function that is result of `curry`
 * @param fn Function to uncurry
 * @returns Uncurried function
 */
exports.uncurry = (fn) => (x, ...xs) => fn(...xs)(x);
//# sourceMappingURL=curry.js.map