"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Partially apply a function
 * @param fn Function to apply
 * @param x First argument of `fn`
 * @returns Function that provides remaining arguments to `fn`
 */
exports.partial = (fn, x) => (...xs) => fn(x, ...xs);
/**
 * Partially apply a function
 * @param fn Function to apply
 * @param xs Array of all arguments except the first one
 * @returns Function that provides the first argument to `fn`
 */
exports.partialTail = (fn, xs) => (x) => fn(x, ...xs);
/**
 * Partially apply a function
 * @param fn Function to apply
 * @param xs All arguments except the first one
 * @returns Function that provides the first argument to `fn`
 */
exports.partialTailSpread = (fn, ...xs) => exports.partialTail(fn, xs);
//# sourceMappingURL=partial.js.map