/**
 * Partially apply a function
 * @param fn Function to apply
 * @param x First argument of `fn`
 * @returns Function that provides remaining arguments to `fn`
 */
export const partial = (fn, x) => (...xs) => fn(x, ...xs);
/**
 * Partially apply a function
 * @param fn Function to apply
 * @param xs Array of all arguments except the first one
 * @returns Function that provides the first argument to `fn`
 */

export const partialTail = (fn, xs) => x => fn(x, ...xs);
/**
 * Partially apply a function
 * @param fn Function to apply
 * @param xs All arguments except the first one
 * @returns Function that provides the first argument to `fn`
 */

export const partialTailSpread = (fn, ...xs) => partialTail(fn, xs); //# sourceMappingURL=partial.js.map